org.apache.solr.client.solrj.io.eval

## Class CosineDistanceEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.RecursiveEvaluator
  - - org.apache.solr.client.solrj.io.eval.CosineDistanceEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, ValueWorker, Expressible

    public class CosineDistanceEvaluator
    extends RecursiveEvaluator

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CosineDistanceEvaluator.CosineDistance`

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`constructingFactory, containedEvaluators, nodeId, streamContext`

### Constructor Summary

Constructors
Constructor and Description
`CosineDistanceEvaluator(StreamExpression expression, StreamFactory factory)`
`CosineDistanceEvaluator(StreamExpression expression, StreamFactory factory, List<String> ignoredNamedParameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `doWork(Object... values)`
`Object` `evaluate(Tuple tuple)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`getStreamContext, normalizeInputType, normalizeOutputType, recursivelyEvaluate, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### CosineDistanceEvaluator

    public CosineDistanceEvaluator(StreamExpression expression,
                                   StreamFactory factory)
                            throws IOException

Throws:
  `IOException`

#### CosineDistanceEvaluator

    public CosineDistanceEvaluator(StreamExpression expression,
                                   StreamFactory factory,
                                   List<String> ignoredNamedParameters)
                            throws IOException

Throws:
  `IOException`

### Method Detail

#### evaluate

    public Object evaluate(Tuple tuple)
                    throws IOException

Specified by:
  `evaluate` in interface `StreamEvaluator`
Overrides:
  `evaluate` in class `RecursiveEvaluator`
Throws:
  `IOException`

#### doWork

    public Object doWork(Object... values)
                  throws IOException

Throws:
  `IOException`